Support » Plugin: Asaas Gateway for WooCommerce » Erro de PHP ao salvar configurações

  • Estou tentando instalar o plugin em um ecommerce, mas ao editar as configurações de cartão de crédito, eu obtenho um erro crítico.
    Analisando o log, localizei o seguinte erro:
    [08-Apr-2022 11:22:10 UTC] PHP Warning: Invalid argument supplied for foreach() in /wp-content/plugins/woo-asaas/includes/helper/class-credit-card-helper.php on line 50

    A linha citada é a seguinte:
    foreach ( $brands_supported as $brand ) {

    O que posso fazer pra corrigir?

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter Wiliam Jose Koester

    (@wiliamjk)

    Mais detalhes do wp_debug:

    Fatal error: Uncaught TypeError: Argument 1 passed to WC_Asaas\Installments\Admin\Settings\Installments_Settings::validate_interest_installment_field() must be of the type array, null given, called in /fragment.com.br/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-settings-api.php on line 142 and defined in /fragment.com.br/wp-content/plugins/woo-asaas/includes/installments/admin/settings/class-installments-settings.php:107 Stack trace: #0 /fragment.com.br/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-settings-api.php(142): WC_Asaas\Installments\Admin\Settings\Installments_Settings->validate_interest_installment_field(NULL) #1 /fragment.com.br/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-settings-api.php(212): WC_Settings_API->get_field_value('interest_instal...', Array, Array) #2 /fragment.co in /fragment.com.br/wp-content/plugins/woo-asaas/includes/installments/admin/settings/class-installments-settings.php on line 107

    Thread Starter Wiliam Jose Koester

    (@wiliamjk)

    Eu já tinha o plugin instalado em outro site e funcionando. Eu notei que o erro acontece ao alterar o campo de parcelamento.

    Thread Starter Wiliam Jose Koester

    (@wiliamjk)

    Instalei a versão 1.5 do plugin e está funcionando.

    Plugin Support Suporte Técnico Asaas

    (@suporteasaas)

    Oi William, boa tarde! Tudo bem com você?

    Identificamos que na versão 1.6.0 e 1.6.1 está acontecendo um erro onde acaba quebrando a configuração do WordPress/WooCommerce, gerando esse erro critico. Isso é algo que já estamos buscando corrigir para que a gente possa disponibilizar o quanto antes uma versão estável com a nova feature de calculo de juros que tínhamos lançado nessa versão.

    Enquanto isso você pode utilizar a versão 1.5.0, sendo uma versão recente lançada ainda esse ano com a funcionalidade do PIX no checkout do pagamento, assim sendo essa atualmente a versão estável de nosso Plugin ok?`

    Qualquer duvida você pode nos acionar diretamente pelo e-mail suporte-tecnico@asaas.com.br

    =)

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Erro de PHP ao salvar configurações’ is closed to new replies.